#!/bin/bash

# Generate config
if [ ! -f /haraka/config/smtp.ini ]; then
  haraka -i /haraka
fi

# Specify hostname
echo $HOSTNAME > /haraka/config/me

# Get and install certificates from Let's Encrypt
if [ ! -d /haraka/config/tls ]; then
  certbot certonly -n --agree-tos --email "$EMAIL" -d "$HOSTNAME" --standalone --preferred-challenges http
  mkdir -p /haraka/config/tls
  cd /haraka/config/tls
  ln -s /etc/letsencrypt/live/$HOSTNAME/privkey.pem tls-key.pem
  ln -s /etc/letsencrypt/live/$HOSTNAME/fullchain.pem tls-cert.pem
  cd -
fi

haraka -c /haraka
